#include<iostream>
#include<cstring>
#include<cstdio>
#include<vector>
#include<cmath>
#include<queue>
#include<map>
#define _rep(i,a,b) for(int i=(a);i<=(b);i++)
using namespace std;
template<typename Tp>
inline void Rd(Tp &x){
	int f=1;char ch=getchar();
	x=0;
	while(ch<'0' || ch>'9'){
		if(ch=='-') f=-1;
		ch=getchar();
	}
	while('0'<=ch && ch<='9') x=x*10+ch-'0', ch=getchar();
}
int main(){
	freopen("plant.in","w",stdout);
	printf("1 0\n");
	printf("1000 1000 1 1\n");
	_rep(i,1,1000){
		_rep(j,1,1000)
			printf("0");
		printf("\n");
	}
	return 0;
}

